/* ===================================================================
 * LAYOUT GENERAL
 * =================================================================*/
#document {
    overflow: hidden;
}

#corps {
    position: relative;

    &::before {
        content: '';
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background: #fff;
        z-index: -1;
    }

    .interne & {
        .accrochePage {
            font-weight: 300;
        }
    }
}

#contenu {
    .gridWidth(10, 9);
    margin: 0 auto;

    .accueil & {
        .gridWidth(12, 11);
    }

    @media screen and (max-width: @tablet) {
        width: 100%;
    }
}

.avecColonneDroite #contenu {
    .gridWidth(8, 7);
    float: left;

    @media screen and (max-width: @tablet) {
        .resetColonne;
    }
}


.innerCenter {
    .clearfix;
    max-width: @desktop;
    margin: 0 auto;
    padding: 0 2rem;
    position: relative;
}

.wideContent {
    // se base sur le .gridWidth(10, 9), reste donc 1col et 1margin
    margin-left: -(percentage((1*@gridCol + 1*@gridMargin) / (10*@gridCol + 9*@gridMargin))) !important;
    margin-right: -(percentage((1*@gridCol + 1*@gridMargin) / (10*@gridCol + 9*@gridMargin))) !important;
    @media screen and (max-width: @tablet) {
        margin-left: 0 !important;
        margin-right: 0 !important;
    }
}

/* GESTION AFFICHAGE DESKTOP ET MOBILE */
@media (max-width: @desktop) {
    .desktop_hidden {
        display: none !important;
    }
}

@media (max-width: @tablet) {
    .tablet_hidden {
        display: none !important;
    }
}

@media (max-width: @mobile) {
    .mobile_hidden {
        display: none !important;
    }

    .txt_mobile_hidden {
        border: 1px solid #000;
        padding: 0.5rem;
        margin: 0.5rem;
        border-radius: 2px;
    }
}
